<%@ page language="java" contentType="text/html; charset=UTF-8"
         pageEncoding="UTF-8" %>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <title>Insert title here</title>
    <%@include file="/views/common.jsp" %>
</head>
<body>
<div class="big_box">
    <div class="left_div">
        <h1 class="h1">手拉旗</h1> <span style="color:red;font-weight:700;"></span>
        <hr>
        <form class="layui-form">
            <input type="hidden" name="proTypeValue" id="proTypeValue" class="layui-input" value="手拉旗"/>
            <p>
                地址
            </p>
            <input type="text" name="address" class="layui-input"/>

            <p>
                车间
            </p>
            <div class="layui-form-item">
                <div class="layui-form-item">
                    <select class="select" name="plantName">
                        <option value="领鸿">领鸿</option>
                    </select>
                </div>
            </div>
            <p>
                材质
            </p>
            <div class="layui-form-item">
                <select name="kindValue" id="kindValue" lay-filter="kindValue" class="select" lay-search>
                    <option value=""></option>
                    <option value="1">春亚布</option>
                    <option value="2">贡缎布</option>
                </select>
            </div>
            <p>
                宽度
            </p>
            <div class="layui-form-item">
                <select name="width" id="width" class="select">
                    <option value="17">17cm</option>
                    <option value="24">24cm</option>
                </select>
            </div>
            <p>
                长度(CM/厘米)
            </p>
            <div class="layui-form-item">
                <input type="text" placeholder="请输入长度" name="size" id="size" class="layui-input" autocomplete="off">
            </div>
            <p>
                数量(个)
            </p>
            <div class="layui-form-item">
                <input type="text" placeholder="请输入整数" autocomplete="off" name="count" class="layui-input" id="count">
            </div>
            <p>
                款数
            </p>
            <div class="layui-form-item">
                <input type="text" placeholder="请输入整数" autocomplete="off" name="number" id="number" value="1"
                       class="layui-input" lay-verify="number">
            </div>
            <p>
                客户旺旺
            </p>
            <div class="layui-form-item">
                <input type="text" placeholder="请输入客户旺旺号" autocomplete="off" name="wangwang" id="wangwang"
                       class="layui-input">
            </div>
            <hr>
            <div class="layui-form-item">
                <button class="layui-btn" lay-submit="" lay-filter="acount_btn">计算</button>
                <button type="reset" class="layui-btn layui-btn-primary">重置</button>
            </div>
            <h2>计算结果-
                <button type="button" class="layui-btn layui-btn-primary layui-btn-sm copyResult"
                        onclick="copyResult()">点击复制
                </button>
            </h2>
            <div>
                <textarea rows="11" cols="75" id="span_result" readonly="readonly"></textarea>
                <%@include file="../acountExpressFee.jsp" %>
            </div>
            <div>
                <table class="layui-hide" id="priceTable" lay-filter="priceTable"></table>
            </div>
        </form>
    </div>
    <div class="right_div" style="margin-left:50px;">
        <div class="layui-carousel" id="test1">
            <div carousel-item id="carousel"></div>
            <br>
            <div id="remark" style="font-size:20px;color:red"></div>
        </div>
    </div>
</div>
</body>
<%@include file="/views/copyResult.jsp" %>
<script>
    layui.use(['table', 'form', 'carousel'], function () {
        var form = layui.form; //只有执行了这一步，部分表单元素才会自动修饰成功
        var carousel = layui.carousel;
        var table = layui.table;

        //建造实例
        ins = carousel.render({});
        var html = " ";
        var remark = " ";
        // 清空轮播图
        $("#carousel").empty();
        $("#remark").empty();
        $.ajax({
            url: "${pageContext.request.contextPath}/getImgs",
            type: "GET",
            data: {
                proTypeValue: $("#proTypeValue").val(),
            },
            success: function (result) {
                for (let i = 0; i < result.length; i++) {
                    // 只留一个remark
                    remark = "";
                    html += '<div><img style="width:' + result[0].imgWidth + 'px" src="' + result[i].imgUrl + '"></div>';
                    remark += '<div><span>' + result[i].remark + '<span/></div>';
                }
                $("#carousel").append(html);
                // 如果没有说明，就不显示null
                if (remark.indexOf("null") < 0) {
                    $("#remark").append(remark);
                }
                // 如果没有轮播图就隐藏
                if (result.length == 0) {
                    document.getElementById("test1").style.display = "none";   //隐藏
                } else {
                    document.getElementById("test1").style.display = "block";   //显示
                    ins.reload({
                        elem: '#test1',
                        width: result[0].imgWidth,  //设置容器宽度
                        height: result[0].imgHeight
                    });
                }
            }
        });

        // 点击计算，计算价格
        form.on('submit(acount_btn)', function (data) {
            var number = $("#number").val();
            var length = $("#size").val();
            var width = $("#width option:selected").val();
            var count = $("#count").val();
            var kind = $("#kindValue option:selected").text();
            var craft = $("input[name='craft']:checked").val();
            if (!length) {
                layer.msg('请填写长度！', {offset: ['300px', '300px']}, function () {
                });
                return false;
            }
            if (length > 100) {
                layer.msg('最大长度100cm！', {offset: ['300px', '300px']}, function () {
                });
                return false;
            }
            if (!count) {
                layer.msg('请填写数量！', {offset: ['300px', '300px']}, function () {
                });
                return false;
            }
            $.ajax({
                url: "${path}/getProductPrice",
                type: "GET",
                data: $(".big_box form").serialize(),
                success: function (result) {
                    if (result.code == 100) {
                        layer.msg(result.msg, {offset: ['300px', '300px']}, function () {
                        });
                        return false;
                    }
                    var data = result.data.proList;
                    if ((length == 70 && width == 24) || (length == 50 && width == 17)) {
                        kind += "(特价)";
                    }
                    var span_result = '手拉旗 - ' + kind + '-' + length + '*' + width + ' CM (同款内容)\n';
                    for (let i = 0; i < data.length; i++) {
                        span_result += number + '款 各' + data[i].count + "个，共" + data[i].price + "元" + '\n'
                        data[i].number = number;
                        let providePrices = data[i].providePrices;
                        if (providePrices && providePrices.length > 0) {
                            for (let item in providePrices) {
                                span_result += providePrices[item].name + "：" + providePrices[item].price + "元。共" + Number(data[i].price + providePrices[item].price).toFixed(2) + '\n'
                            }
                        }
                    }

                    span_result += '包邮，免费设计呢~（偏远地区需补邮费）'
                        if(window.parent.system_isGai){
                            span_result +="\n\n亲 现在下单可以参加淘宝活动8.5折折扣哦!"
                        }
                    addLog(span_result);
                    $("#span_result").val(span_result);

                    //计算完自动复制文本
                    var e = document.getElementById("span_result");//对象是content
                    if (e.value != "") {
                        e.select();//选择对象
                        document.execCommand("Copy");//执行浏览器复制命令
                    }

                    //生成表格
                    table.render({
                        elem: '#priceTable',
                        even: true, //隔行变色
                        data: data, // 赋值已知数据
                        width: 500,
                        cols: [[
                            {
                                field: 'number',
                                width: '12%',
                                align: "center",
                                title: '款数'
                            }, {
                                field: 'count',
                                width: '16%',
                                align: "center",
                                title: '数量'
                            }, {
                                field: 'price',
                                width: '16%',
                                align: "center",
                                title: '报价'
                            }, {
                                field: 'wangwang',
                                align: "center",
                                width: '16%',
                                title: '折扣价'
                            }, {
                                field: 'wangwang',
                                align: "center",
                                width: '19%',
                                title: '跳楼价'
                            }, {
                                field: 'weight',
                                width: '21%',
                                align: "center",
                                title: '重量（kg）'
                            }
                        ]],
                        done: function () {
                        }
                    });
                }
            });
            return false;
        });
    });
</script>
</html>